Subject: Re: bug#66281: 30.0.50; Emacs won't start on X11 with 10 bit color depth

From: Po Lu <[email-masked]>
Date: Sun, 01 Oct 2023 09:03:55 +0800

Alexander Prähauser <[email-masked]> writes:

> I have an OLED monitor and configured X to use 10 bit color depth
> as described here:
>
> https://linuxreviews.org/HOWTO_enable_10-bit_color_on_Linux
>
> Using Gnome on Wayland I never experienced any problems with this,
> but I switched to Stumpwm and can't start Emacs from
> there if color depth is configured to 10 bit. I included the error
> message printed by Emacs as an attachment. My system
> is Arch and all programs were just upgraded. The bug persists if I
> don't load the init file.
>
> X protocol error: BadValue (integer parameter out of range for operation) on protocol request 91
> Serial no: 1051
> Failing resource ID (if any): 0xffffffff
> Minor code: 0
> This is a bug!  Please report this to [email-masked]!

Please enable synchronous operation by running Emacs like so:

  ./emacs -q -xrm "Emacs.synchronous: true"

under gdb, and when the X error transpires, type:

  (gdb) bt full
  (gdb) p *x_display_list
  (gdb) p x_display_list->visual_info

and send us the output of the aformentioned commands.